<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: JPEGCompressor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classJPEGCompressor.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classJPEGCompressor-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">JPEGCompressor Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Wrapper class to the IJG JPEG library.  
 <a href="classJPEGCompressor.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="JPEGCompressor_8h_source.html">JPEGCompressor.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for JPEGCompressor:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classJPEGCompressor.png" usemap="#JPEGCompressor_map" alt=""/>
  <map id="JPEGCompressor_map" name="JPEGCompressor_map">
<area href="classCompressor.html" title="Base class for IIP output images. " alt="Compressor" shape="rect" coords="0,0,112,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a075720ce0e74f48b1d48498039da2539"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJPEGCompressor.html#a075720ce0e74f48b1d48498039da2539">JPEGCompressor</a> (int quality)</td></tr>
<tr class="memdesc:a075720ce0e74f48b1d48498039da2539"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a075720ce0e74f48b1d48498039da2539">More...</a><br /></td></tr>
<tr class="separator:a075720ce0e74f48b1d48498039da2539"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60a3aa47f982f64374ccff5b073c0011"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJPEGCompressor.html#a60a3aa47f982f64374ccff5b073c0011">setQuality</a> (int factor)</td></tr>
<tr class="memdesc:a60a3aa47f982f64374ccff5b073c0011"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the compression quality.  <a href="#a60a3aa47f982f64374ccff5b073c0011">More...</a><br /></td></tr>
<tr class="separator:a60a3aa47f982f64374ccff5b073c0011"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac747bb7eaf4c82a50b1ba5127d46eeaa"><td class="memItemLeft" align="right" valign="top"><a id="ac747bb7eaf4c82a50b1ba5127d46eeaa"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJPEGCompressor.html#ac747bb7eaf4c82a50b1ba5127d46eeaa">getQuality</a> ()</td></tr>
<tr class="memdesc:ac747bb7eaf4c82a50b1ba5127d46eeaa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current quality level. <br /></td></tr>
<tr class="separator:ac747bb7eaf4c82a50b1ba5127d46eeaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35af7be50cb146c028b5c09d378b54c0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJPEGCompressor.html#a35af7be50cb146c028b5c09d378b54c0">InitCompression</a> (const <a class="el" href="classRawTile.html">RawTile</a> &amp;rawtile, unsigned int strip_height)</td></tr>
<tr class="memdesc:a35af7be50cb146c028b5c09d378b54c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialise strip based compression.  <a href="#a35af7be50cb146c028b5c09d378b54c0">More...</a><br /></td></tr>
<tr class="separator:a35af7be50cb146c028b5c09d378b54c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77dacb7508b13ca5985bb30de14680d7"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJPEGCompressor.html#a77dacb7508b13ca5985bb30de14680d7">CompressStrip</a> (unsigned char *s, unsigned char *o, unsigned int tile_height)</td></tr>
<tr class="memdesc:a77dacb7508b13ca5985bb30de14680d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compress a strip of image data.  <a href="#a77dacb7508b13ca5985bb30de14680d7">More...</a><br /></td></tr>
<tr class="separator:a77dacb7508b13ca5985bb30de14680d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1e096e2a3170221c36bd9a4ebf7b526"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJPEGCompressor.html#aa1e096e2a3170221c36bd9a4ebf7b526">Finish</a> (unsigned char *output)</td></tr>
<tr class="memdesc:aa1e096e2a3170221c36bd9a4ebf7b526"><td class="mdescLeft">&#160;</td><td class="mdescRight">Finish the strip based compression and free memory.  <a href="#aa1e096e2a3170221c36bd9a4ebf7b526">More...</a><br /></td></tr>
<tr class="separator:aa1e096e2a3170221c36bd9a4ebf7b526"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f543bff5bfa528fdc5d6837f6553840"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJPEGCompressor.html#a5f543bff5bfa528fdc5d6837f6553840">Compress</a> (<a class="el" href="classRawTile.html">RawTile</a> &amp;t)</td></tr>
<tr class="memdesc:a5f543bff5bfa528fdc5d6837f6553840"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compress an entire buffer of image data at once in one command.  <a href="#a5f543bff5bfa528fdc5d6837f6553840">More...</a><br /></td></tr>
<tr class="separator:a5f543bff5bfa528fdc5d6837f6553840"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62fd19a3b193d907f796cc53d1fc8919"><td class="memItemLeft" align="right" valign="top"><a id="a62fd19a3b193d907f796cc53d1fc8919"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJPEGCompressor.html#a62fd19a3b193d907f796cc53d1fc8919">getHeaderSize</a> ()</td></tr>
<tr class="memdesc:a62fd19a3b193d907f796cc53d1fc8919"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the JPEG header size. <br /></td></tr>
<tr class="separator:a62fd19a3b193d907f796cc53d1fc8919"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8dd617d645caabaa5fad022a24331c2"><td class="memItemLeft" align="right" valign="top"><a id="ae8dd617d645caabaa5fad022a24331c2"></a>
unsigned char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJPEGCompressor.html#ae8dd617d645caabaa5fad022a24331c2">getHeader</a> ()</td></tr>
<tr class="memdesc:ae8dd617d645caabaa5fad022a24331c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a pointer to the header itself. <br /></td></tr>
<tr class="separator:ae8dd617d645caabaa5fad022a24331c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3068b12a9ed2935babbede68d4415a91"><td class="memItemLeft" align="right" valign="top"><a id="a3068b12a9ed2935babbede68d4415a91"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJPEGCompressor.html#a3068b12a9ed2935babbede68d4415a91">getMimeType</a> ()</td></tr>
<tr class="memdesc:a3068b12a9ed2935babbede68d4415a91"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the JPEG mime type. <br /></td></tr>
<tr class="separator:a3068b12a9ed2935babbede68d4415a91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97df480d52621b38e7275c6ff7266498"><td class="memItemLeft" align="right" valign="top"><a id="a97df480d52621b38e7275c6ff7266498"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJPEGCompressor.html#a97df480d52621b38e7275c6ff7266498">getSuffix</a> ()</td></tr>
<tr class="memdesc:a97df480d52621b38e7275c6ff7266498"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the image filename suffix. <br /></td></tr>
<tr class="separator:a97df480d52621b38e7275c6ff7266498"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCompressor"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCompressor')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCompressor.html">Compressor</a></td></tr>
<tr class="memitem:a70078e753e103bd4a642118d7412dd79 inherit pub_methods_classCompressor"><td class="memItemLeft" align="right" valign="top"><a id="a70078e753e103bd4a642118d7412dd79"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCompressor.html#a70078e753e103bd4a642118d7412dd79">getQuality</a> ()</td></tr>
<tr class="memdesc:a70078e753e103bd4a642118d7412dd79 inherit pub_methods_classCompressor"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current quality level. <br /></td></tr>
<tr class="separator:a70078e753e103bd4a642118d7412dd79 inherit pub_methods_classCompressor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af23c55b06260b6dd14b288bedf409b3b inherit pub_methods_classCompressor"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCompressor.html#af23c55b06260b6dd14b288bedf409b3b">setICCProfile</a> (const std::string &amp;profile)</td></tr>
<tr class="memdesc:af23c55b06260b6dd14b288bedf409b3b inherit pub_methods_classCompressor"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <a class="el" href="classICC.html" title="ICC Profile Command. ">ICC</a> profile.  <a href="classCompressor.html#af23c55b06260b6dd14b288bedf409b3b">More...</a><br /></td></tr>
<tr class="separator:af23c55b06260b6dd14b288bedf409b3b inherit pub_methods_classCompressor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc78f825498b3a33380ef251d6a60f87 inherit pub_methods_classCompressor"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCompressor.html#afc78f825498b3a33380ef251d6a60f87">setXMPMetadata</a> (const std::string &amp;x)</td></tr>
<tr class="memdesc:afc78f825498b3a33380ef251d6a60f87 inherit pub_methods_classCompressor"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set XMP metadata.  <a href="classCompressor.html#afc78f825498b3a33380ef251d6a60f87">More...</a><br /></td></tr>
<tr class="separator:afc78f825498b3a33380ef251d6a60f87 inherit pub_methods_classCompressor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af62307978b22d731e345eff148cab268 inherit pub_methods_classCompressor"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCompressor.html#af62307978b22d731e345eff148cab268">addXMPMetadata</a> (const std::string &amp;m)</td></tr>
<tr class="memdesc:af62307978b22d731e345eff148cab268 inherit pub_methods_classCompressor"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add metadata to the image header.  <a href="classCompressor.html#af62307978b22d731e345eff148cab268">More...</a><br /></td></tr>
<tr class="separator:af62307978b22d731e345eff148cab268 inherit pub_methods_classCompressor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classCompressor"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classCompressor')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classCompressor.html">Compressor</a></td></tr>
<tr class="memitem:a7a48db7e754ff8335485941f704a40a3 inherit pro_attribs_classCompressor"><td class="memItemLeft" align="right" valign="top"><a id="a7a48db7e754ff8335485941f704a40a3"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCompressor.html#a7a48db7e754ff8335485941f704a40a3">Q</a></td></tr>
<tr class="memdesc:a7a48db7e754ff8335485941f704a40a3 inherit pro_attribs_classCompressor"><td class="mdescLeft">&#160;</td><td class="mdescRight">Quality level. <br /></td></tr>
<tr class="separator:a7a48db7e754ff8335485941f704a40a3 inherit pro_attribs_classCompressor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a788d5559f4276c1498cf9bcdca2d42cb inherit pro_attribs_classCompressor"><td class="memItemLeft" align="right" valign="top"><a id="a788d5559f4276c1498cf9bcdca2d42cb"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCompressor.html#a788d5559f4276c1498cf9bcdca2d42cb">icc</a></td></tr>
<tr class="memdesc:a788d5559f4276c1498cf9bcdca2d42cb inherit pro_attribs_classCompressor"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classICC.html" title="ICC Profile Command. ">ICC</a> Profile. <br /></td></tr>
<tr class="separator:a788d5559f4276c1498cf9bcdca2d42cb inherit pro_attribs_classCompressor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45698fa97911f4ecfe030c077c139c2b inherit pro_attribs_classCompressor"><td class="memItemLeft" align="right" valign="top"><a id="a45698fa97911f4ecfe030c077c139c2b"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCompressor.html#a45698fa97911f4ecfe030c077c139c2b">xmp</a></td></tr>
<tr class="memdesc:a45698fa97911f4ecfe030c077c139c2b inherit pro_attribs_classCompressor"><td class="mdescLeft">&#160;</td><td class="mdescRight">XMP metadata. <br /></td></tr>
<tr class="separator:a45698fa97911f4ecfe030c077c139c2b inherit pro_attribs_classCompressor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Wrapper class to the IJG JPEG library. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a075720ce0e74f48b1d48498039da2539"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a075720ce0e74f48b1d48498039da2539">&#9670;&nbsp;</a></span>JPEGCompressor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">JPEGCompressor::JPEGCompressor </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>quality</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">quality</td><td>JPEG Quality factor (0-100) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5f543bff5bfa528fdc5d6837f6553840"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f543bff5bfa528fdc5d6837f6553840">&#9670;&nbsp;</a></span>Compress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int JPEGCompressor::Compress </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classRawTile.html">RawTile</a> &amp;&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compress an entire buffer of image data at once in one command. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">t</td><td>tile of image data </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classCompressor.html#af57b26b9e84ee92afa663324f464c3e0">Compressor</a>.</p>

</div>
</div>
<a id="a77dacb7508b13ca5985bb30de14680d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77dacb7508b13ca5985bb30de14680d7">&#9670;&nbsp;</a></span>CompressStrip()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int JPEGCompressor::CompressStrip </td>
          <td>(</td>
          <td class="paramtype">unsigned char *&#160;</td>
          <td class="paramname"><em>s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned char *&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>tile_height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compress a strip of image data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">s</td><td>source image data </td></tr>
    <tr><td class="paramname">o</td><td>output buffer </td></tr>
    <tr><td class="paramname">tile_height</td><td>pixel height of the tile we are compressing </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classCompressor.html#a24549398c73442cf45b81e5cdeaf27c0">Compressor</a>.</p>

</div>
</div>
<a id="aa1e096e2a3170221c36bd9a4ebf7b526"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1e096e2a3170221c36bd9a4ebf7b526">&#9670;&nbsp;</a></span>Finish()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int JPEGCompressor::Finish </td>
          <td>(</td>
          <td class="paramtype">unsigned char *&#160;</td>
          <td class="paramname"><em>output</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Finish the strip based compression and free memory. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">output</td><td>output buffer </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>size of output generated </dd></dl>

<p>Reimplemented from <a class="el" href="classCompressor.html#a7a98fff52328aeea262452ee8949691d">Compressor</a>.</p>

</div>
</div>
<a id="a35af7be50cb146c028b5c09d378b54c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35af7be50cb146c028b5c09d378b54c0">&#9670;&nbsp;</a></span>InitCompression()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void JPEGCompressor::InitCompression </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classRawTile.html">RawTile</a> &amp;&#160;</td>
          <td class="paramname"><em>rawtile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>strip_height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initialise strip based compression. </p>
<p>If we are doing a strip based encoding, we need to first initialise with InitCompression, then compress a single strip at a time using CompressStrip and finally clean up using Finish </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rawtile</td><td>tile containing the image to be compressed </td></tr>
    <tr><td class="paramname">strip_height</td><td>pixel height of the strip we want to compress </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>header size </dd></dl>

<p>Reimplemented from <a class="el" href="classCompressor.html#ad83402c75cd8f85c9263c1e990ae1e5f">Compressor</a>.</p>

</div>
</div>
<a id="a60a3aa47f982f64374ccff5b073c0011"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60a3aa47f982f64374ccff5b073c0011">&#9670;&nbsp;</a></span>setQuality()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void JPEGCompressor::setQuality </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>factor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the compression quality. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">factor</td><td>Quality factor (0-100) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="JPEGCompressor_8h_source.html">JPEGCompressor.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classJPEGCompressor.html">JPEGCompressor</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
